<?php

  require_once "conexion.php";

  class modelCaja{

    public static function vereficarAperturaCaja(){
      $stmt = Conexion::conectar()->prepare("SELECT IdFcaja, MontoApertura, Fecha, HoraCierre, Estado FROM fcaja order by IdFcaja DESC limit 1");
      $stmt->execute();
      return $stmt->fetch();
      $stmt->close();
    }

    public static function AperturaCaja($datosModel){
      $stmt = Conexion::conectar()->prepare("INSERT INTO fcaja (IdPersonal, Fecha, MontoApertura, Estado) VALUES (:id,:fecha,:montoapertura,'A')");
      $Fecha= date('Y-m-d H:i:s');
      $stmt->bindParam(":fecha", $Fecha, PDO::PARAM_STR);
      $stmt->bindParam(":montoapertura", $datosModel["montoapertura"], PDO::PARAM_STR);
      $stmt->bindParam(":id", $datosModel["IdPersonal"], PDO::PARAM_STR);

      if($stmt->execute()){
        return "success";
      } else {
        return "error";
      }
      $stmt->close();
    }

    public static function ReAperturaCaja($IdFCaja){
      $stmt = Conexion::conectar()->prepare("UPDATE fcaja SET Estado='A' WHERE IdFCaja=:IdFCaja");
      $stmt->bindParam(":IdFCaja", $IdFCaja, PDO::PARAM_STR);
      if($stmt->execute()){
        return "success";
      }else{
        return "error";
      }
      $stmt->close();
    }
    public static function actualizarMesas(){
      $stmt = Conexion::conectar()->prepare("UPDATE mesa set Estado='L'");
      if($stmt->execute()){
        return "success";
      }
      else{
        return "error";
      }
      $stmt->close();
    }
    public static function actualizarPedidos(){
      $stmt = Conexion::conectar()->prepare("UPDATE pedido set Estado='B'");
      if($stmt->execute()){
        return "success";
      } else {
        return "error";
      }
      $stmt->close();
    }


    public static function CierreCaja() {
      try {
          $conn = Conexion::conectar(); // Conexión a la base de datos
          $stmt = $conn->prepare("UPDATE fcaja SET Estado='C', HoraCierre = :fecha WHERE IdFcaja = :IdFcaja");
  
          $Fecha = date("Y-m-d");
          $stmt->bindParam(":fecha", $Fecha, PDO::PARAM_STR);
  
          if ($stmt->execute()) {
              echo "success";
          } else {
              echo "error";
          }
      } catch (PDOException $e) {
          echo "Error en la consulta: " . $e->getMessage(); // Muestra el error
      } finally {
          if (isset($stmt)) {
              $stmt->closeCursor(); // Libera la consulta
          }
          $conn = null; // Cierra la conexión
      }
  }
  

  public static function ultimoIdCaja(){
    $stmt = Conexion::conectar()->prepare("SELECT MAX(IdFcaja) as IdFcaja FROM fcaja ");
    $stmt->execute();
    return $stmt->fetch();
    $stmt->close();
  }

  public static function ultimoIdCajaCajaChica(){
    $stmt = Conexion::conectar()->prepare("SELECT IdFcaja, MontoApertura, Fecha, HoraCierre, Estado FROM fcaja order by IdFcaja DESC limit 1");
    $stmt->execute();
    return $stmt->fetch();
    $stmt->close();
  }

  //Sirve para enlistar los id de las cajas por fecha
	public static function iDCajas($Fecha){
		$stmt = Conexion::conectar()->prepare("SELECT IdFcaja, MontoApertura, Fecha, HoraCierre, Estado FROM fcaja WHERE Fecha like CONCAT(:fecha,'%')");
    $stmt->bindParam(":fecha", $Fecha, PDO::PARAM_STR);
		$stmt->execute();
		return $stmt->fetchAll();
		$stmt->close();
	}

  public static function ultimoIdcomprobanteC(){
    $stmt = Conexion::conectar()->prepare("SELECT MAX(IdcomprobanteC) as IdcomprobanteC FROM comprobantec");
    $stmt->execute();
    return $stmt->fetch();
    $stmt->close();
  }

  public static function EliminarUltimoIdcomprobanteC($IdcomprobanteC){
    $stmt = Conexion::conectar()->prepare("DELETE FROM comprobantec WHERE IdcomprobanteC = :id");
    $stmt->bindParam(":id", $IdcomprobanteC["IdcomprobanteC"], PDO::PARAM_INT);
    if($stmt->execute()){
      return "success";
    }else{
      return "error";
    }
    $stmt->close();
  }

// Por que se relaciono aqui la tbl detallecaja ?
  public static function caja($id){
    $stmt = Conexion::conectar()->prepare("SELECT * FROM fcaja fc  WHERE IdFcaja = :id");
    $stmt->bindParam(":id", $id, PDO::PARAM_STR);
    $stmt->execute();
    return $stmt->fetch();
    $stmt->close();
  }

}
