<?php

require_once "conexion.php";

class modelCompra{


    public static function registroCompra($datosModel) {
        $conexion = Conexion::conectar();
        $stmt = $conexion->prepare("INSERT INTO compras (IdProveedor, NroComprobante, Serie, Fecha, TipoDoc, Total, Iva, Subtotal, Descripcion) 
                                    VALUES (:idproveedor, :nrocomprobante, :formapago, :fecha, :tipodoc, :total, :iva, :subtotal, :descripcion)");
    
        $stmt->bindParam(":idproveedor", $datosModel["idproveedor"], PDO::PARAM_INT);
        $stmt->bindParam(":nrocomprobante", $datosModel["nrocomprobante"], PDO::PARAM_STR);
        $stmt->bindParam(":formapago", $datosModel["formapago"], PDO::PARAM_STR);
        $stmt->bindParam(":fecha", $datosModel["fecha"], PDO::PARAM_STR);
        $stmt->bindParam(":tipodoc", $datosModel["tipodoc"], PDO::PARAM_STR);
        $stmt->bindParam(":total", $datosModel["total"], PDO::PARAM_STR);
        $stmt->bindParam(":iva", $datosModel["iva"], PDO::PARAM_STR);
        $stmt->bindParam(":subtotal", $datosModel["subtotal"], PDO::PARAM_STR);
        $stmt->bindParam(":descripcion", $datosModel["descripcion"], PDO::PARAM_STR);
    
        if ($stmt->execute()) {
            $idCompra = $conexion->lastInsertId();  // Obtener el ID de la compra recién insertada
            return $idCompra;  // Devolver el ID
        } else {
            return "error";
        }
    
        $stmt->close();
    }
    
	public static function registrarInventario($datosModel)
	{
		$stmt = Conexion::conectar()->prepare("INSERT INTO inventario (ideproducto, cantidadUnidad,cantidadPorciones) VALUES (:ideproducto, :cantidadUnidad,:cantidadPorciones)");

		$stmt->bindParam(":ideproducto", $datosModel["ideproducto"], PDO::PARAM_INT);
		$stmt->bindParam(":cantidadUnidad", $datosModel["cantidadUnidad"], PDO::PARAM_INT);
		$stmt->bindParam(":cantidadPorciones", $datosModel["PorcionesPorUnidad"], PDO::PARAM_INT);
		if($stmt->execute()){
			return "success";
		}
		else{
			return "error";
		}
		$stmt->close();


	}

	public static function registrarDetalleCompra($datosModel)
	{
		$stmt = Conexion::conectar()->prepare("INSERT INTO detallecompras (IdCompra, IdItems,Unidades,CantidadCompra,PrecioCompra,IGV,SubTotal) VALUES (:IdCompra, :IdItems,:Unidades,0,0,0,0)");

		$stmt->bindParam(":IdCompra", $datosModel["IdCompra"], PDO::PARAM_INT);
		$stmt->bindParam(":IdItems", $datosModel["IdItems"], PDO::PARAM_INT);
		$stmt->bindParam(":Unidades", $datosModel["Unidades"], PDO::PARAM_INT);
		if($stmt->execute()){
			return "success";
		}
		else{
			return "error";
		}
		$stmt->close();


	}

    public static function ObtenerNombreProducto($idProducto) {
        $stmt = Conexion::conectar()->prepare("SELECT Nombre FROM productos WHERE ID = :id");
        $stmt->bindParam(":id", $idProducto, PDO::PARAM_INT);
        $stmt->execute();
        $resultado = $stmt->fetch(PDO::FETCH_ASSOC);
        
        return isset($resultado['Nombre']) ? $resultado['Nombre'] : "Desconocido";
    }

	public static function PorcionesPorUnidad($ideproducto) {
        // Conectarse a la base de datos
        $conn = Conexion::conectar();

        // Consulta SQL para obtener las porciones por unidad del producto
        $query = "SELECT PorcionesPorUnidad FROM productos WHERE ID = :ideproducto";

        // Preparar la consulta
        $stmt = $conn->prepare($query);

        // Vincular el parámetro de la consulta
        $stmt->bindParam(':ideproducto', $ideproducto, PDO::PARAM_INT);

        // Ejecutar la consulta
        $stmt->execute();

        // Verificar si el producto existe
        if ($stmt->rowCount() > 0) {
            // Obtener las porciones por unidad
            $row = $stmt->fetch(PDO::FETCH_ASSOC);
            return $row['PorcionesPorUnidad'];  // Devolver las porciones por unidad
        } else {
            // Si no se encuentra el producto, devolver 0
            return 0;
        }
    }


	public static function modificarInventario($datosModel)
	{

		$stmt = Conexion::conectar()->prepare("UPDATE inventario SET cantidadUnidad = cantidadUnidad + :cantidadUnidad,cantidadPorciones=cantidadPorciones + :cantidadPorciones  WHERE  ideproducto=:ideproducto ");
		$stmt->bindParam(":ideproducto", $datosModel["ideproducto"], PDO::PARAM_INT);
		$stmt->bindParam(":cantidadUnidad", $datosModel["cantidadUnidad"], PDO::PARAM_INT);
		$stmt->bindParam(":cantidadPorciones", $datosModel["PorcionesPorUnidad"], PDO::PARAM_INT);
		if($stmt->execute()){
			return "success";
		}
		else{
			return "error";
		}
		$stmt->close();
	
	}



	public static function QuitarInventario($datosModel)
{
    // Verificamos si la cantidad que se quiere restar es mayor que la cantidad disponible en el inventario
    $stmt = Conexion::conectar()->prepare("SELECT cantidadUnidad,cantidadPorciones FROM inventario WHERE ideproducto = :ideproducto");
    $stmt->bindParam(":ideproducto", $datosModel["ideproducto"], PDO::PARAM_INT);
    $stmt->execute();
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC);

    // Si no existe el producto, o si no se pudo obtener el resultado
    if (!$resultado) {
        return "error"; // El producto no existe en el inventario
    }

    // Comprobamos si la cantidad a restar es mayor que la cantidad disponible
    if ($datosModel["cantidadUnidad"] > $resultado["cantidadUnidad"]) {
        // Si es mayor, establecer cantidadUnidad a 0
        $datosModel["cantidadUnidad"] = $resultado["cantidadUnidad"];
    }
    

    if ($datosModel["cantidadPorciones"] > $resultado["cantidadPorciones"]) {
        // Si es mayor, establecer cantidadUnidad a 0
        $datosModel["cantidadPorciones"] = $resultado["cantidadPorciones"];
    }



    // Ahora procedemos con la actualización de la cantidad
    $stmt = Conexion::conectar()->prepare("UPDATE inventario SET cantidadUnidad = cantidadUnidad - :cantidadUnidad,cantidadPorciones=cantidadPorciones -:cantidadPorciones WHERE ideproducto = :ideproducto");
    $stmt->bindParam(":ideproducto", $datosModel["ideproducto"], PDO::PARAM_INT);
    $stmt->bindParam(":cantidadUnidad", $datosModel["cantidadUnidad"], PDO::PARAM_INT);
    $stmt->bindParam(":cantidadPorciones", $datosModel["cantidadPorciones"], PDO::PARAM_INT);

    if ($stmt->execute()) {
        return "success";
    } else {
        return "error";
    }

    $stmt->close();
}


  public static function actualizarCompra($datosModel){
  $stmt = Conexion::conectar()->prepare("UPDATE compras SET IdProveedor = :idproveedor, NroComprobante = :nrocomprobante, Serie = :formapago, Fecha = :fecha, TipoDoc = :tipodoc, Total = :total, Iva = :iva, Subtotal = :subtotal, Descripcion=:descripcion WHERE IdCompra = :id");
  $stmt->bindParam(":id", $datosModel["id"], PDO::PARAM_STR);
  $stmt->bindParam(":idproveedor", $datosModel["idproveedor"], PDO::PARAM_STR);

  $stmt->bindParam(":nrocomprobante", $datosModel["nrocomprobante"], PDO::PARAM_STR);
  $stmt->bindParam(":formapago", $datosModel["formapago"], PDO::PARAM_STR);
  $stmt->bindParam(":fecha", $datosModel["fecha"], PDO::PARAM_STR);
  $stmt->bindParam(":tipodoc", $datosModel["tipodoc"], PDO::PARAM_STR);
  $stmt->bindParam(":total", $datosModel["total"], PDO::PARAM_STR);
  $stmt->bindParam(":iva", $datosModel["iva"], PDO::PARAM_STR);
  $stmt->bindParam(":subtotal", $datosModel["subtotal"], PDO::PARAM_STR);
  $stmt->bindParam(":descripcion", $datosModel["descripcion"], PDO::PARAM_STR);

  if($stmt->execute()){
    return "success";
  }
  else{
    return "error";
  }
  $stmt->close();
}

	public static function vistaCompra($Fecha){
		$stmt = Conexion::conectar()->prepare("SELECT * FROM compras where Fecha = :Fecha");
		$stmt->bindParam(":Fecha", $Fecha, PDO::PARAM_STR);

		$stmt->execute();
		return $stmt->fetchAll();
		$stmt->close();
	}



	public static function ObtenerCantidadCompra($idecompra)

	{
		$stmt = Conexion::conectar()->prepare("SELECT IdProducto,Cantidad FROM compras where IdCompra = :idecompra");
		$stmt -> bindParam(":idecompra", $idecompra, PDO::PARAM_STR);
		$stmt->execute();
		return $stmt->fetchAll();
		$stmt->close();

	}



    public static function borrarDetalleCompra($idCompra) {
        $stmt = Conexion::conectar()->prepare("DELETE FROM detallecompras WHERE IdCompra = :idCompra");
        $stmt->bindParam(":idCompra", $idCompra, PDO::PARAM_INT);
        return $stmt->execute() ? "success" : "error";  // Devuelve "success" si se eliminó correctamente
    }

    public static function ObtenerDetalleCompra($idCompra) {
        $stmt = Conexion::conectar()->prepare("SELECT IdItems,Unidades,pro.Nombre FROM detallecompras dcompras inner join productos pro on pro.ID=dcompras.IdItems WHERE IdCompra = :idCompra");
        $stmt->bindParam(":idCompra", $idCompra, PDO::PARAM_INT);
        $stmt->execute();
        return $stmt->fetchAll(PDO::FETCH_ASSOC);  // Devuelve un array con los datos
    }


	public static function ObtenercantidadInventario($ideproducto)
{
    try {
        // Preparar la consulta
        $stmt = Conexion::conectar()->prepare("SELECT count(*) as total FROM inventario WHERE ideproducto = :idproducto");

        // Vincular el parámetro :idproducto
        $stmt->bindParam(':idproducto', $ideproducto, PDO::PARAM_INT);

        // Ejecutar la consulta
        $stmt->execute();

        // Obtener el resultado
        $resultado = $stmt->fetch(PDO::FETCH_ASSOC);

        // Verificar si se obtuvo un resultado y devolver el total
        if ($resultado) {
            return $resultado['total'];
        } else {
            return 0; // Si no hay resultados, devolvemos 0
        }
    } catch (PDOException $e) {
        // Manejo de errores
        return "Error: " . $e->getMessage();
    }
}




	public static function vistaCompraConFecha($fecha){
		$stmt = Conexion::conectar()->prepare("SELECT * FROM compras where CAST(Fecha AS DATE ) = :fecha");
		$stmt -> bindParam(":fecha", $fecha, PDO::PARAM_STR);
		$stmt->execute();
		return $stmt->fetchAll();
		$stmt->close();
	}

  public static function vistaProveedor($datosModel){
    $stmt = Conexion::conectar()->prepare("SELECT IdProveedor, RazonSocial, DNI_Proveedor, RUC_Proveedor FROM proveedor WHERE IdProveedor = :idproveedor");
    $stmt->bindParam(":idproveedor", $datosModel["idproveedor"], PDO::PARAM_STR);
    $stmt->execute();
    return $stmt->fetch();
    $stmt->close();
  }

  public static function borrarCompra($idCompra) {
    $stmt = Conexion::conectar()->prepare("DELETE FROM compras WHERE IdCompra = :idCompra");
    $stmt->bindParam(":idCompra", $idCompra, PDO::PARAM_INT);
    return $stmt->execute() ? "success" : "error";
}

  public static function encontrarProveedor($datosModel){
     $stmt = Conexion::conectar()->prepare("SELECT IdProveedor, RazonSocial FROM proveedor WHERE DNI_Proveedor=:id or RUC_Proveedor=:id");
     $stmt->bindParam(":id", $datosModel, PDO::PARAM_STR);
     $stmt -> execute();
 		return $stmt -> fetch();
 		$stmt -> close();
  }


}
