<?php

require_once "conexion.php";

class modelInventario{

		public static function registroInventario($datosModel){
		$stmt = Conexion::conectar()->prepare("INSERT INTO items (IdTipoItem, IdFamilia, IdCategoria,PrecioVenta,Stock,Descripcion) VALUES (:tipoitem,:familia,:idcategoria,:precio,:stock,:descripcion)");
		$stmt->bindParam(":tipoitem", $datosModel["tipoitem"], PDO::PARAM_STR);
		$stmt->bindParam(":familia", $datosModel["familia"], PDO::PARAM_STR);
		$stmt->bindParam(":idcategoria", $datosModel["idcategoria"], PDO::PARAM_STR);
		$stmt->bindParam(":precio", $datosModel["precio"], PDO::PARAM_STR);
		$stmt->bindParam(":stock", $datosModel["stock"], PDO::PARAM_STR);
		$stmt->bindParam(":descripcion", $datosModel["descripcion"], PDO::PARAM_STR);
		if($stmt->execute()){
			return "success";
		}
		else{
			return "error";
		}
		$stmt->null;
	}

	public static function actualizarInventario($datosModel){
	$stmt = Conexion::conectar()->prepare("UPDATE items SET IdCategoria = :idcategoria, PrecioVenta = :precio, Stock = :stock, Descripcion = :descripcion WHERE IdItems = :id");
	$stmt->bindParam(":id", $datosModel["id"], PDO::PARAM_STR);
	$stmt->bindParam(":idcategoria", $datosModel["idcategoria"], PDO::PARAM_STR);
	$stmt->bindParam(":precio", $datosModel["precio"], PDO::PARAM_STR);
	$stmt->bindParam(":stock", $datosModel["stock"], PDO::PARAM_STR);
	$stmt->bindParam(":descripcion", $datosModel["descripcion"], PDO::PARAM_STR);
	if($stmt->execute()){
		return "success";
	}
	else{
		return "error";
	}
	$stmt->null;
}
	//actualziar el table
	public static function updateTableIngredientes($datosModel){
		
		$stmt = Conexion::conectar()->prepare("UPDATE ingredientes 
			set ".$datosModel['columna']."= :valor WHERE IdIngredientes= :id");
		$stmt->bindParam(":id", $datosModel["id"], PDO::PARAM_STR);
		$stmt->bindParam(":valor", $datosModel["valor"], PDO::PARAM_STR);
		if($stmt->execute()){
			return "success";
		}
		else{
			return "error";
		}
		$stmt->null;
	}	

	public static function vistaInventario(){
		$stmt = Conexion::conectar()->prepare("SELECT * FROM items");
		$stmt->execute();
		return $stmt->fetchAll();
		$stmt->null;
	}


	public static function vistaInventario2(){
		$stmt = Conexion::conectar()->prepare("SELECT p.*,inv.* FROM Productos p inner join inventario inv on inv.ideproducto=p.ID");
		$stmt->execute();
		return $stmt->fetchAll();
		$stmt->null;
	}

	public static function vistaIngredientes(){
		$stmt = Conexion::conectar()->prepare("SELECT * FROM ingredientes");
		$stmt->execute();
		return $stmt->fetchAll();
		$stmt->null;
	}

	// pa los ingredientes usados
	public static function vistaIngredientesUsados($fecha){
		$stmt = Conexion::conectar()->prepare("SELECT	SUM(DP.Cantidad) as Cantidad,	I.Descripcion, rel.CantidadU, ing.DescripcionIng, 
								ing.UnidadMedida, ing.IdIngredientes, DP.IdPedido, DP.Actualizar,
								SUM(DP.Cantidad*rel.CantidadU) as Total
								from	items I 
								inner join detallepedido DP on 	I.IdItems=DP.IdItems 
								inner join pedido P on P.IdPedido=DP.IdPedido 
								inner join categoria C on C.IdCategoria = I.IdCategoria 
								inner join relacioningitem rel on rel.IdItems = I.IdItems
								inner join ingredientes ing on ing.IdIngredientes = rel.IdIngredientes
								where (I.IdTipoItem = 2) AND CAST(P.FechaPedido AS DATE ) = :fecha
								AND (C.FormaDePreparar = 'Cocina' OR C.FormaDePreparar = 'Bar')
								AND (DP.Actualizar = 0) AND DP.Estado != 'X'
								group by DP.IdDetallePedido order by (Cantidad) DESC");
		$stmt->bindParam(":fecha", $fecha, PDO::PARAM_STR);		   
		$stmt->execute();
		return $stmt->fetchAll();
		$stmt->null;
	}

	public static function vistaIngredientesUsadosS($fecha){
		$stmt = Conexion::conectar()->prepare("SELECT	SUM(DP.Cantidad) as Cantidad,	I.Descripcion, rel.CantidadU, ing.DescripcionIng, 
								ing.UnidadMedida, ing.IdIngredientes, DP.IdPedido, DP.Actualizar,
								SUM(DP.Cantidad*rel.CantidadU) as Total
								from	items I 
								inner join detallepedido DP on 	I.IdItems=DP.IdItems 
								inner join pedido P on P.IdPedido=DP.IdPedido 
								inner join categoria C on C.IdCategoria = I.IdCategoria 
								inner join relacioningitem rel on rel.IdItems = I.IdItems
								inner join ingredientes ing on ing.IdIngredientes = rel.IdIngredientes
								where (I.IdTipoItem = 2) AND CAST(P.FechaPedido AS DATE ) = :fecha
								AND (C.FormaDePreparar = 'Cocina' OR C.FormaDePreparar = 'Bar')
								AND (DP.Actualizar = 0) AND DP.Estado != 'X'
								group by ing.DescripcionIng order by (Cantidad) DESC");
		$stmt->bindParam(":fecha", $fecha, PDO::PARAM_STR);		   
		$stmt->execute();
		return $stmt->fetchAll();
		$stmt->null;
	}


	public static function vistaCategoria($datosModel){
		$stmt = Conexion::conectar()->prepare("SELECT * FROM categoria WHERE IdCategoria = :idcategoria");
		$stmt->bindParam(":idcategoria", $datosModel["idcategoria"], PDO::PARAM_STR);
		$stmt->execute();
		return $stmt->fetch();
		$stmt->null;
	}

		public static function borrarInventario($datosModel){
		$stmt = Conexion::conectar()->prepare("DELETE FROM items WHERE IdItems = :id");
		$stmt->bindParam(":id", $datosModel, PDO::PARAM_INT);
		if($stmt->execute()){
			return "success";
		}
		else{
			return "error";
		}
		$stmt->null;
	}







	public static function registroIngredientes($datosModel){
	$stmt = Conexion::conectar()->prepare("INSERT INTO ingredientes (DescripcionIng, UnidadMedida, Cantidad ) 
											VALUES (:descripcion,:unidad,:cantidad)");
	$stmt->bindParam(":unidad", $datosModel["unidad"], PDO::PARAM_STR);
	$stmt->bindParam(":cantidad", $datosModel["cantidad"], PDO::PARAM_STR);
	$stmt->bindParam(":descripcion", $datosModel["descripcion"], PDO::PARAM_STR);
	if($stmt->execute()){
		return "success";
	}
	else{
		return "error";
	}
	$stmt->null;
	}

	public static function actualizarIngredientes($datosModel){
		$stmt = Conexion::conectar()->prepare("UPDATE ingredientes 
		SET DescripcionIng = :descripcion, UnidadMedida = :unidad, cantidad = :cantidad 
		WHERE IdIngredientes = :id");
		$stmt->bindParam(":id", $datosModel["id"], PDO::PARAM_STR);
		$stmt->bindParam(":descripcion", $datosModel["descripcion"], PDO::PARAM_STR);
		$stmt->bindParam(":unidad", $datosModel["unidad"], PDO::PARAM_STR);
		$stmt->bindParam(":cantidad", $datosModel["cantidad"], PDO::PARAM_STR);
		if($stmt->execute()){
			return "success";
		}
		else{
			return "error";
		}
		$stmt->null;
	}

	public static function borrarIngrediente($datosModel){
		$stmt = Conexion::conectar()->prepare("DELETE FROM ingredientes WHERE IdIngredientes = :id");
		$stmt->bindParam(":id", $datosModel, PDO::PARAM_INT);
		if($stmt->execute()){
			return "success";
		}
		else{
			return "error";
		}
		$stmt->null;
	}

	//borar relacions





	public static function borrarRelacion($datosModel){
		$stmt = Conexion::conectar()->prepare("DELETE FROM relacioningitem WHERE IdRelacion = :id");
		$stmt->bindParam(":id", $datosModel, PDO::PARAM_INT);
		if($stmt->execute()){
			return "success";
		}
		else{
			return "error";
		}
		$stmt->null;
	}


	public static function registroIngPorItems($datosModel){
		$stmt = Conexion::conectar()->prepare("INSERT INTO relacioningitem (IdIngredientes, IdItems, CantidadU) 
												VALUES (:IdIngredientes,:IdItems,:CantidadU)");
		$stmt->bindParam(":IdIngredientes", $datosModel["IdIngredientes"], PDO::PARAM_STR);
		$stmt->bindParam(":IdItems", $datosModel["IdItems"], PDO::PARAM_STR);
		$stmt->bindParam(":CantidadU", $datosModel["CantidadU"], PDO::PARAM_STR);
		if($stmt->execute()){
			return "success";
		}
		else{
			return "error";
		}
		$stmt->null;
		}

// funciones para los ingredientes e items usados

		public static function descontarIngredientes($IdIngredientes, $Total){
			$stmt = Conexion::conectar()->prepare("UPDATE ingredientes 
									SET Cantidad = Cantidad-:Total WHERE IdIngredientes = :IdIngredientes");
			$stmt->bindParam(":IdIngredientes", $IdIngredientes, PDO::PARAM_STR);
			$stmt->bindParam(":Total", $Total, PDO::PARAM_STR);
			if($stmt->execute()){
				return "success1";
			}
			else{
				return "error";
			}
			$stmt->null;
			}
	
		public static function	actualizarItemsDescontados($IdPedido){
			$stmt = Conexion::conectar()->prepare("UPDATE detallepedido 
									SET Actualizar=1 WHERE IdPedido = :IdPedido");
			$stmt->bindParam(":IdPedido", $IdPedido, PDO::PARAM_STR);
			if($stmt->execute()){
				return "success2";
			}
			else{
				return "error";
			}
			$stmt->null;
			}



   // Obtener los ingredientes necesarios para un plato
   public static function ObtenerIngredientes($idplato) {
	// Conectar a la base de datos y preparar la consulta
	$stmt = Conexion::conectar()->prepare("SELECT * FROM relacioningitem WHERE IdItems = :idplato");
	$stmt->bindParam(':idplato', $idplato, PDO::PARAM_INT);  // Usamos bindParam para evitar SQL injection

	// Ejecutar la consulta
	$stmt->execute();
	
	// Retornar todos los resultados
	return $stmt->fetchAll();  // Retorna todos los ingredientes relacionados al plato
}



public static function VerificarInventario($idPlato, $cantidadPlatos) {
	// Obtener los ingredientes necesarios para el plato
	$ingredientes = self::ObtenerIngredientes($idPlato);

	if (empty($ingredientes)) {
        // Si no hay ingredientes, devolver un mensaje de error
        return array("status" => "error", "message" => "Este plato no tiene ingredientes registrados.");
    }

	// Conectar a la base de datos
	$conn = Conexion::conectar();

	// Verificar los ingredientes en el inventario
	foreach ($ingredientes as $ingrediente) {


		$idIngrediente = $ingrediente['IdIngredientes'];
		$cantidadUnidadIngrediente = $ingrediente['CantidadU'];

		// Consultar la cantidad disponible en el inventario para este ingrediente
		$queryInventario = "SELECT cantidadPorciones as cantidadUnidad,pr.Nombre FROM inventario inv inner join productos pr on pr.ID=inv.ideproducto WHERE ideproducto = :idIngrediente";
		$stmtInventario = $conn->prepare($queryInventario);
		$stmtInventario->bindParam(':idIngrediente', $idIngrediente, PDO::PARAM_INT);
		$stmtInventario->execute();

	
		// Verificar si el ingrediente existe en el inventario
		if ($stmtInventario->rowCount() == 0) {
			// Si no se encuentra el ingrediente en inventario, se asume que no hay inventario disponible
			return array("status" => "error", "message" => "Ingrediente (ID: $idIngrediente) no encontrado en el inventario.");
		}

		// Obtener la cantidad disponible del ingrediente
		$rowInventario = $stmtInventario->fetch(PDO::FETCH_ASSOC);
		$cantidadDisponible = $rowInventario['cantidadUnidad'];

         $nombreIngrediente = $rowInventario['Nombre'];  // Acceder al nombre del ingrediente

		// Calcular la cantidad total necesaria de este ingrediente
		$cantidadNecesaria = $cantidadUnidadIngrediente * $cantidadPlatos;

		// Verificar si hay suficiente cantidad en inventario




		if ($cantidadDisponible < $cantidadNecesaria) {
	
			return array("status" => "error", "message" => "No hay suficiente cantidad del ingrediente $nombreIngrediente en inventario.");
		}


		

	
	
	}
	return array("status" => "success", "message" => "Suficiente inventario para preparar los platos.");


}


public static function VerificarCantidadInventario($idIngrediente) {
	// Conectarse a la base de datos
	$conn = Conexion::conectar();

	// Consulta SQL para obtener la cantidad disponible del ingrediente en inventario


	$query = "SELECT cantidadPorciones as cantidadUnidad,pr.Nombre FROM inventario inv inner join productos pr on pr.ID=inv.ideproducto WHERE ideproducto = :idIngrediente";

	// Preparar la consulta
	$stmt = $conn->prepare($query);

	// Vincular el parámetro de la consulta
	$stmt->bindParam(':idIngrediente', $idIngrediente, PDO::PARAM_INT);

	// Ejecutar la consulta
	$stmt->execute();

	// Verificar si el ingrediente está en inventario
	if ($stmt->rowCount() > 0) {
		// Obtener la cantidad disponible del ingrediente
		$row = $stmt->fetch(PDO::FETCH_ASSOC);
		return $row['cantidadUnidad'];  // Devolvemos la cantidad disponible
	} else {
		// Si no se encuentra el ingrediente en inventario, devolver 0
		return 0;
	}
}


public static function DescontarInventario($idIngrediente, $cantidadRequerida) {
	// Conectarse a la base de datos
	$conn = Conexion::conectar();

	// Iniciar la transacción para asegurar que ambas operaciones (verificar y descontar) sean atómicas
	$conn->beginTransaction();

	try {
		// Consulta SQL para obtener la cantidad actual del ingrediente en inventario

		
		$query = "SELECT cantidadPorciones as cantidad,PorcionesPorUnidad,cantidadPorciones as cantidadUnidad FROM inventario inv inner join productos pr on pr.ID=inv.ideproducto WHERE ideproducto = :idIngrediente";
		
		$stmt = $conn->prepare($query);
		$stmt->bindParam(':idIngrediente', $idIngrediente, PDO::PARAM_INT);
		$stmt->execute();

		// Verificar si el ingrediente está en inventario
		if ($stmt->rowCount() > 0) {
			// Obtener la cantidad actual del ingrediente
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$cantidadActual = $row['cantidadUnidad'];

	
	    	$porcionesPorUnidad = $row['PorcionesPorUnidad'];


		


		


             

			 


			// Verificar si hay suficiente cantidad en inventario
			if ($cantidadActual >= $cantidadRequerida) {
				// Descontar la cantidad del inventario
				$nuevaCantidad = $cantidadActual - $cantidadRequerida;
				$CantidadTotal=$row['cantidadUnidad'];
				$Cantidadporciones=$CantidadTotal -  $nuevaCantidad;

				$pendientes=$CantidadTotal-$Cantidadporciones;

				$nuevaCantidadUnidad=ceil($pendientes/$porcionesPorUnidad);


                //echo '$CantidadTotal '.$CantidadTotal.' $Cantidadporciones: '.$Cantidadporciones.' $porcionesPorUnidad '.$porcionesPorUnidad;


				// Consulta SQL para actualizar el inventario con la nueva cantidad
				$queryUpdate = "UPDATE inventario SET cantidadUnidad = :nuevaCantidadUnidad,cantidadPorciones=:nuevaCantidad WHERE ideproducto = :idIngrediente";
				$stmtUpdate = $conn->prepare($queryUpdate);
				$stmtUpdate->bindParam(':nuevaCantidad', $nuevaCantidad, PDO::PARAM_INT);
				$stmtUpdate->bindParam(':idIngrediente', $idIngrediente, PDO::PARAM_INT);
				$stmtUpdate->bindParam(':nuevaCantidadUnidad', $nuevaCantidadUnidad, PDO::PARAM_INT);
				$stmtUpdate->execute();

				// Confirmar la transacción
				$conn->commit();

				return true;  // Descuento exitoso
			} else {
				// Si no hay suficiente cantidad, lanzar una excepción

				throw new Exception("No hay suficiente inventario para el ingrediente ID: $idIngrediente.");
			}
		} else {
			// Si el ingrediente no existe en inventario, lanzar una excepción
	
			throw new Exception("Ingrediente ID: $idIngrediente no encontrado en el inventario.");
		}
	} catch (Exception $e) {
		// En caso de error, revertir la transacción

		$conn->rollBack();
		// Retornar el error como un mensaje
		return array("status" => "error", "message" => $e->getMessage());
	}
}




}







