<?php

require_once "conexion.php";

class modelReportes{
//1.1
	public static function ReporteVentasporDia($Fecha1, $Fecha2){
		$stmt = Conexion::conectar()->prepare("SELECT Pd.IdUsuario, P.Nombres,c.Total,c.Propina, c.TotalPagar, 
                  c.FormaPago,c.TipoComprobante,c.NumeroDoc, Pd.IdPedido, c.Documento  
                  from personal P inner join pedido Pd on P.IdPersonal = Pd.IdPersonal 
                  inner join comprobantec c  on Pd.IdPedido = c.IdPedido
                  WHERE	c.Fecha BETWEEN :fecha1 AND  :fecha2
                  and (c.FormaPago ='T' OR c.FormaPago ='E' OR c.FormaPago ='CH'  OR c.FormaPago ='H')
		");
		$stmt -> bindParam(":fecha1", $Fecha1, PDO::PARAM_STR);
		$stmt -> bindParam(":fecha2", $Fecha2, PDO::PARAM_STR);
		$stmt -> execute();
		return $stmt -> fetchAll();
		$stmt -> null;
	}
	//1.1.1  Para vista ReporteVentas
		public static function ReporteVentasporDia1($x,$y){
			$stmt = Conexion::conectar()->prepare("SELECT Pd.IdUsuario, P.Nombres,c.Total,c.Propina, c.TotalPagar, c.FormaPago,c.TipoComprobante,
                                c.NumeroDoc, Pd.IdPedido, c.Documento  from personal P inner join pedido Pd on P.IdPersonal = Pd.IdPersonal 
                                inner join comprobantec c  on Pd.IdPedido = c.IdPedido
                                WHERE CAST(Fecha AS DATE )  BETWEEN :fecha1 AND :fecha2
                                and (c.FormaPago ='T' OR c.FormaPago ='E' OR c.FormaPago ='CH' OR c.FormaPago = 'CR' OR c.FormaPago ='H') AND (c.TipoComprobante ='T') OR (c.TipoComprobante ='O') ");
			$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
			$stmt -> bindParam(":fecha2", $y, PDO::PARAM_STR);
			$stmt -> execute();
			return $stmt -> fetchAll();
			$stmt -> null;
		}
    
    //1.1.1  Para vista de los cortes
      public static function ReporteVentasporDia2($x,$y){
        $stmt = Conexion::conectar()->prepare("SELECT * from comprobantec c
                                                WHERE	CAST(c.Fecha AS DATE) BETWEEN :fecha1 AND  :fecha2
                                                and (c.FormaPago ='CORTE Z' OR c.FormaPago ='CORTE X' OR c.FormaPago ='CORTE GRAN Z')");
        $stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
        $stmt -> bindParam(":fecha2", $y, PDO::PARAM_STR);
        $stmt -> execute();
        return $stmt -> fetchAll();
        $stmt -> null;
      }

	//1.3
		public static  function ReporteVentasporDiaFacturas($datosModel){
			$stmt = Conexion::conectar()->prepare("SELECT c.IdComprobante, Pd.IdUsuario, Pd.FechaPedido, P.Nombres, c.Total,c.Propina, c.TotalPagar, c.FormaPago,c.TipoComprobante,c.NumeroDoc, Pd.IdPedido, c.Documento  from personal P inner join pedido Pd on P.IdPersonal = Pd.IdPersonal inner join comprobante c  on Pd.IdPedido = c.IdPedido
			WHERE 				CAST(c.Fecha AS DATE ) = :fecha
				AND (c.FormaPago ='T' OR c.FormaPago = 'E' OR c.FormaPago ='CH' OR c.FormaPago ='CR' OR c.FormaPago ='H') AND (c.TipoComprobante = 'FCF' OR c.TipoComprobante = 'CCF')");
			$stmt -> bindParam(":fecha", $datosModel, PDO::PARAM_STR);
			$stmt -> execute();
			return $stmt -> fetchAll();
			$stmt -> null;
		}

		//1.3.1 Para vista ReporteVentas
			public static function ReporteVentasporDiaFacturas1($x,$y){
				$stmt = Conexion::conectar()->prepare("SELECT c.IdComprobante, Pd.IdUsuario, P.Nombres, c.Total,c.Propina, c.TotalPagar, c.FormaPago,c.TipoComprobante,c.NumeroDoc, Pd.IdPedido, c.Documento  from personal P inner join pedido Pd on P.IdPersonal = Pd.IdPersonal inner join comprobante c  on Pd.IdPedido = c.IdPedido
				WHERE
					CAST(Fecha AS DATE )  BETWEEN :fecha1 AND :fecha2
					AND (c.FormaPago ='T' OR c.FormaPago = 'E' OR c.FormaPago ='CH' OR c.FormaPago ='CR' OR c.FormaPago ='H') AND (c.TipoComprobante = 'FCF' OR c.TipoComprobante = 'CCF')");
					$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
					$stmt -> bindParam(":fecha2", $y, PDO::PARAM_STR);
				$stmt -> execute();
				return $stmt -> fetchAll();
				$stmt -> null;
			}

	//1.2
		public static function ReporteVentasporDiaDetalle($datosModel){
			$stmt = Conexion::conectar()->prepare("SELECT I.Descripcion, DP.Cantidad, DP.Precio
			from  items I inner join detallepedido DP on I.IdItems=DP.IdItems inner join pedido P on P.IdPedido=DP.IdPedido
			inner join comprobantec c ON c.IdPedido = P.IdPedido where c.NumeroDoc = :nrocomprobante");
			$stmt -> bindParam(":nrocomprobante", $datosModel, PDO::PARAM_STR);
			$stmt -> execute();
			return $stmt -> fetchAll();
			$stmt -> null;
		}
		//1.2.2
			public static function ReporteVentasporDiaDetalleFactura($datosModel){
				$stmt = Conexion::conectar()->prepare("SELECT I.Descripcion, DP.Cantidad, DP.Precio
				from  items I inner join detallepedido DP on I.IdItems=DP.IdItems inner join pedido P on P.IdPedido=DP.IdPedido
				inner join comprobante c ON c.IdPedido = P.IdPedido where c.NumeroDoc = :nrocomprobante and c.TipoComprobante != 'T'");
				$stmt -> bindParam(":nrocomprobante", $datosModel, PDO::PARAM_STR);
				$stmt -> execute();
				return $stmt -> fetchAll();
				$stmt -> null;
			}
			//1.4
			//9
			public static function cajero ($datosModel){
				$stmt = Conexion::conectar()->prepare("SELECT Usuario from usuario WHERE IdUsuario  = :IdUsuario");
				$stmt -> bindParam(":IdUsuario", $datosModel, PDO::PARAM_STR);
				$stmt -> execute();
				return $stmt -> fetch();
				$stmt -> null;
			}
//2
  public static function ReporteVentasporMes($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT
			DATE_FORMAT(c.Fecha, '%d')  as Dia,
			SUM(c.Total) as Total,
			SUM(c.Propina) as Propina,
			SUM(c.TotalPagar) as TotalPagar
		from
			personal P inner join pedido Pd on P.IdPersonal = Pd.IdPersonal
			inner join comprobante c  on Pd.IdPedido = c.IdPedido
		WHERE
			c.Fecha  BETWEEN :fecha1 AND :fecha2
			and (c.TipoComprobante ='DEV' OR c.TipoComprobante ='T'  OR c.TipoComprobante ='FCF' OR c.TipoComprobante ='CCF')
		GROUP BY c.Fecha ORDER BY c.Fecha ASC");
    $stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
    $stmt -> bindParam(":fecha2", $y, PDO::PARAM_STR);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
//3
  public static function ReporteVentasporAnio($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT SUM(c.Total) AS Total, DATE_FORMAT(Pd.FechaPedido,'%M')  as Mes, SUM(c.Propina) as Propina, SUM(c.TotalPagar) as TotalPagar from personal P inner join pedido Pd on P.IdPersonal = Pd.IdPersonal inner join comprobante c  on Pd.IdPedido = c.IdPedido WHERE CAST(Pd.FechaPedido AS DATE ) BETWEEN :fecha1 AND :fecha2 and (c.TipoComprobante ='DEV' OR c.TipoComprobante ='T')  GROUP BY DATE_FORMAT(Pd.FechaPedido,'%M') ");
		$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
    $stmt -> bindParam(":fecha2", $y, PDO::PARAM_INT);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }

//4
  public static function ReporteComparacionporAnios(){
    $stmt = Conexion::conectar()->prepare("SELECT SUM(c.TotalPagar) AS Total, DATE_FORMAT(Pd.FechaPedido,'%Y')  as Anio  from personal P inner join pedido Pd on P.IdPersonal = Pd.IdPersonal inner join comprobante c  on Pd.IdPedido = c.IdPedido WHERE CAST(Pd.FechaPedido AS DATE ) BETWEEN '2016-01-01' AND '2024-12-31' and (c.TipoComprobante ='DEV' OR c.TipoComprobante ='T') GROUP BY DATE_FORMAT(Pd.FechaPedido,'%Y')");
		$stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }

//5
  public static function ReporteMejoresVendedores($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT P.Nombres as Nombres, sum(c.Total) as Total  
                    from personal P inner join pedido Pd on P.IdPersonal = Pd.IdPersonal 
                    inner join comprobante c  on Pd.IdPedido = c.IdPedido  
                    WHERE  CAST(Pd.FechaPedido AS DATE ) BETWEEN :fecha1 AND :fecha2 
                    AND (c.TipoComprobante ='DEV' OR c.TipoComprobante ='T' OR c.TipoComprobante ='O' ) 
                    GROUP BY P.Nombres order by sum(Pd.Total) desc");
		$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
    $stmt -> bindParam(":fecha2", $y, PDO::PARAM_STR);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }

  //6
  public static function ReportePlatosmasVendidos($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT	SUM(DP.Cantidad) as Cantidad,	I.Descripcion,	I.PrecioVenta, 
                                (I.PrecioVenta*SUM(DP.Cantidad)) as Total 
                                from	items I inner join detallepedido DP on I.IdItems=DP.IdItems 
                                inner join pedido P on P.IdPedido=DP.IdPedido 
                                inner join categoria C ON C.IdCategoria = I.IdCategoria 
                                where (I.IdTipoItem = 2) AND P.FechaPedido 
                                BETWEEN :fecha1 AND :fecha2 
                                AND C.FormaDePreparar = 'Cocina' AND P.Estado != 'X'
		                            group by I.Descripcion, I.PrecioVenta  order by (Cantidad) desc  LIMIT 10000");
  	$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
	  $stmt -> bindParam(":fecha2", $y, PDO::PARAM_STR);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }

  //7
  public static function ReporteBebidasmasVendidas ($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT SUM(DP.Cantidad) as Cantidad,I.Descripcion,I.PrecioVenta,(I.PrecioVenta* SUM(DP.Cantidad)) as Total
                    from items I inner join detallepedido DP on I.IdItems=DP.IdItems 
                    inner join pedido P on P.IdPedido=DP.IdPedido
                    inner join categoria C ON C.IdCategoria = I.IdCategoria 
                    where (I.IdTipoItem = 2) AND P.FechaPedido
                    BETWEEN :fecha1 AND :fecha2 
                    AND C.FormaDePreparar = 'Bar' AND P.Estado != 'X'
		                group by I.Descripcion, I.PrecioVenta  order by (Cantidad) desc  LIMIT 10000");
		$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
    $stmt -> bindParam(":fecha2", $y, PDO::PARAM_STR);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
  //8
  public static function ReporteExistenciaMinima (){
    $stmt = Conexion::conectar()->prepare("SELECT  I.Descripcion ,I.Stock
    from tipoitem T inner join items I on T.IdTipoItem=I.IdTipoItem
    where I.Stock between 0 and 20 and T.IdTipoItem = 2");
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }

  //9
  public static function ReporteIngresoEgresospordia ($datosModel){
    $stmt = Conexion::conectar()->prepare("SELECT Tipo, Monto, Descripcion from detallecaja WHERE CAST(Fecha AS DATE )  = :fecha");
    $stmt -> bindParam(":fecha", $datosModel, PDO::PARAM_STR);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }

//10.1
  public static function ReporteIngresoEgresospormes1 ($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT sum(Monto) as Total,  DATE_FORMAT(Fecha,'%e') as Dia from detallecaja
    WHERE CAST(Fecha AS DATE )  BETWEEN :fecha1 AND :fecha2 and Tipo = 'Ingreso'
    GROUP BY DATE_FORMAT(Fecha,'%e') ORDER BY Fecha ASC");
		$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
    $stmt -> bindParam(":fecha2", $y, PDO::PARAM_INT);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
//10.2
  public static function ReporteIngresoEgresospormes2 ($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT sum(Monto) as Total,  DATE_FORMAT(Fecha,'%e') as Dia from detallecaja
    WHERE CAST(Fecha AS DATE )  BETWEEN :fecha1 AND :fecha2 and Tipo = 'Egreso'
    GROUP BY DATE_FORMAT(Fecha,'%e') ORDER BY Fecha ASC");
		$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
    $stmt -> bindParam(":fecha2", $y, PDO::PARAM_INT);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }

//11.1
  public static function ReporteIngresoEgresosporaño1 ($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT sum(Monto) as Total, DATE_FORMAT(Fecha,'%M')  as Mes  from detallecaja
    WHERE CAST(Fecha AS DATE ) BETWEEN :fecha1 AND :fecha2 and Tipo = 'Ingreso'
    GROUP BY DATE_FORMAT(Fecha,'%M') ORDER BY Mes ASC ");
		$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
    $stmt -> bindParam(":fecha2", $y, PDO::PARAM_INT);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
  //11.2
  public static function ReporteIngresoEgresosporaño2 ($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT sum(Monto) as Total, DATE_FORMAT(Fecha,'%M')  as Mes  from detallecaja
    WHERE CAST(Fecha AS DATE ) BETWEEN :fecha1 AND :fecha2 and Tipo = 'Egreso'
    GROUP BY DATE_FORMAT(Fecha,'%M') ORDER BY Mes ASC ");
		$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
    $stmt -> bindParam(":fecha2", $y, PDO::PARAM_INT);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
//12
  public static function ReporteCompraspordia ($datosModel){
    $stmt = Conexion::conectar()->prepare("SELECT TipoDoc, NroComprobante,Serie, Total FROM compras WHERE CAST(Fecha AS DATE )  = :fecha");
    $stmt -> bindParam(":fecha", $datosModel, PDO::PARAM_STR);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
//13
  public static function ReporteCompraspormes ($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT  DATE_FORMAT(Fecha,'%e') as Dia, sum(Total) as Total  FROM compras
    WHERE CAST(Fecha AS DATE )  BETWEEN :fecha1 AND :fecha2
    GROUP BY DATE_FORMAT(Fecha,'%e') ORDER BY Fecha ASC");
		$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
    $stmt -> bindParam(":fecha2", $y, PDO::PARAM_INT);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
//14
  public static function ReporteComprasporaño ($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT DATE_FORMAT(Fecha,'%M')  as Mes , sum(Total) as Total  FROM compras
    WHERE CAST(Fecha AS DATE )  BETWEEN :fecha1 AND :fecha2
    GROUP BY  DATE_FORMAT(Fecha,'%M')  ORDER BY Fecha ASC");
		$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
    $stmt -> bindParam(":fecha2", $y, PDO::PARAM_INT);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
//15
  public static function ReporteGastospordia ($datosModel){
    $stmt = Conexion::conectar()->prepare("SELECT Descripcion, Monto FROM detallecaja
    WHERE CAST(Fecha AS DATE )  = :fecha and LEFT(Descripcion,6) != 'Compra' and Tipo = 'Egreso'
    ORDER BY Fecha ASC");
    $stmt -> bindParam(":fecha", $datosModel, PDO::PARAM_STR);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
//16
  public static function ReporteGastospormes ($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT DATE_FORMAT(Fecha,'%e') as Dia, sum(Monto) as Total  FROM detallecaja
    WHERE CAST(Fecha AS DATE )  BETWEEN :fecha1 AND :fecha2 and LEFT(Descripcion,6) != 'Compra' and Tipo = 'Egreso'
    GROUP BY DATE_FORMAT(Fecha,'%e') ORDER BY Fecha ASC");
		$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
    $stmt -> bindParam(":fecha2", $y, PDO::PARAM_INT);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
//17
  public static function ReporteGastosporaño ($x,$y){
    $stmt = Conexion::conectar()->prepare("SELECT DATE_FORMAT(Fecha,'%M') as Mes, sum(Monto) as Total FROM detallecaja
    WHERE CAST(Fecha AS DATE )  BETWEEN :fecha1 AND :fecha2 and LEFT(Descripcion,6) != 'Compra' and Tipo = 'Egreso'
    GROUP BY DATE_FORMAT(Fecha,'%M') ORDER BY Fecha ASC");
		$stmt -> bindParam(":fecha1", $x, PDO::PARAM_STR);
    $stmt -> bindParam(":fecha2", $y, PDO::PARAM_INT);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
    //18
  public static function ReporteCuentrasPorCobrar ($Fecha1,$Fecha2,$Estado, $Tipo){
    $stmt = Conexion::conectar()->prepare("SELECT Pd.IdUsuario, P.Nombres, Pd.FechaPedido, c.Total, c.Propina, c.TotalPagar, 
                  c.FormaPago ,c.TipoComprobante, c.NumeroDoc, c.FechaFact, Pd.IdPedido, c.Documento, cc.Estado, cc.FechaC, cc.Tipo, cli.Nombre 
                  from personal P inner join pedido Pd on P.IdPersonal = Pd.IdPersonal  
                  inner join comprobantec c on Pd.IdPedido = c.IdPedido 
                  INNER JOIN cuentasporcobrar cc ON	Pd.IdPedido = cc.IdPedido
                  inner join clientes cli on cli.IdCliente= cc.IdCliente 
                  WHERE CAST(c.Fecha AS DATE) BETWEEN :fecha1 AND :fecha2 
                  and (cc.Tipo=:Tipo) and cc.Estado = :Estado");
			$stmt -> bindParam(":fecha1", $Fecha1, PDO::PARAM_STR);
			$stmt -> bindParam(":fecha2", $Fecha2, PDO::PARAM_STR);
			$stmt -> bindParam(":Estado", $Estado, PDO::PARAM_STR);
      $stmt -> bindParam(":Tipo", $Tipo, PDO::PARAM_STR);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
  public static function ReporteCuentrasPorCobrarFacturas ($Fecha1,$Fecha2,$Estado){
    $stmt = Conexion::conectar()->prepare("SELECT Pd.IdUsuario, P.Nombres, Pd.FechaPedido, c.Total, c.Propina, 
            c.TotalPagar, c.FormaPago, c.TipoComprobante, 
            c.NumeroDoc, Pd.IdPedido, c.Documento, cc.Estado 
            from personal P inner join pedido Pd on P.IdPersonal = Pd.IdPersonal 
            inner join comprobante c on Pd.IdPedido = c.IdPedido 
            INNER JOIN cuentasporcobrar cc ON Pd.IdPedido = cc.IdPedido 
            WHERE c.TipoComprobante != 'T' 
            AND CAST(c.Fecha AS DATE ) BETWEEN :fecha1 AND :fecha2 
            and (c.FormaPago = 'CR' or c.FormaPago ='H') and cc.Estado = :Estado");
			$stmt -> bindParam(":fecha1", $Fecha1, PDO::PARAM_STR);
			$stmt -> bindParam(":fecha2", $Fecha2, PDO::PARAM_STR);
			$stmt -> bindParam(":Estado", $Estado, PDO::PARAM_STR);
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
  }
//19
  public static function ReporteCuentasporcobrarsolventes (){
    $stmt = Conexion::conectar()->prepare("SELECT c.TipoComprobante, c.NumeroDoc, c.NombreCliente, cc.Monto, Min(dcc.SaldoPendiente) as SaldoPendiente, (dcc.Fecha) as UltimoAbono
    FROM comprobante c  inner join cuentasporcobrar cc on c.IdComprobante = cc.IdComprobante inner join detallecuentaporcobrar dcc
    on cc.IdCuentasPorCobrar = dcc.IdCuentaPorCobrar where cc.Estado = 'Solvente' GROUP BY dcc.IdCuentaPorCobrar order by sum(dcc.Fecha) desc");
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
    }
//20
  public static function ReporteCuentasporpagarpendientes (){
    $stmt = Conexion::conectar()->prepare("SELECT c.TipoDoc, c.NroComprobante, p.RazonSocial, cp.Monto, Min(dcp.SaldoPendiente) as SaldoPendiente, (dcp.Fecha) as UltimoAbono
    from proveedor p inner join  compras c on p.IdProveedor = c.IdProveedor inner join cuentasporpagar cp on c.IdCompra = cp.IdCompra
    inner join detallecuentaporpagar dcp on cp.IdCuentaPorPagar = dcp.IdCuentaPorPagar where cp.Estado = 'Pendiente'
    GROUP BY dcp.IdCuentaPorPagar order by sum(dcp.Fecha) desc");
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
    }


    //21
  public static function ReporteCuentasporpagarsolventes (){
    $stmt = Conexion::conectar()->prepare("SELECT c.TipoDoc, c.NroComprobante, p.RazonSocial, cp.Monto, Min(dcp.SaldoPendiente) as SaldoPendiente, (dcp.Fecha) as UltimoAbono
    from proveedor p inner join  compras c on p.IdProveedor = c.IdProveedor inner join cuentasporpagar cp on c.IdCompra = cp.IdCompra
    inner join detallecuentaporpagar dcp on cp.IdCuentaPorPagar = dcp.IdCuentaPorPagar where cp.Estado = 'Solvente'
    GROUP BY dcp.IdCuentaPorPagar order by sum(dcp.Fecha) desc");
    $stmt -> execute();
    return $stmt -> fetchAll();
    $stmt -> null;
    }

    //22 by Rm 
    public static function ReporteCortesias ($Fecha1, $Fecha2){
      $stmt = Conexion::conectar()->prepare("SELECT Cor.IdPedido, Cor.Total, Cor.NombreCliente, Pd.FechaPedido 
        FROM cortesias Cor INNER JOIN pedido Pd ON  Pd.IdPedido = Cor.IdPedido WHERE CAST(Pd.FechaPedido AS DATE ) BETWEEN :fecha1 AND :fecha2");
      $stmt -> bindParam(":fecha1", $Fecha1, PDO::PARAM_STR);
      $stmt -> bindParam(":fecha2", $Fecha2, PDO::PARAM_STR);
      $stmt -> execute();
      return $stmt -> fetchAll();
      $stmt -> null;
    }

    public static function EditCorrelativo ($V1, $V2){
    $stmt = Conexion::conectar()->prepare("UPDATE comprobante SET NumeroDoc = :NumeroDoc WHERE IdComprobante = :IdComprobante");
    $stmt -> bindParam(":NumeroDoc", $V1, PDO::PARAM_STR);
    $stmt -> bindParam(":IdComprobante", $V2, PDO::PARAM_STR);
    if($stmt->execute()){
        return "success";
      }else{
        return "error";
      }
      $stmt->null;
    }


    //22.1 by Rm

    public static function ReporVenDiaIdPed($datosModel){
      $stmt = Conexion::conectar()->prepare("SELECT I.Descripcion, DP.Cantidad, DP.Precio
			from  items I inner join detallepedido DP on I.IdItems=DP.IdItems inner join pedido P on P.IdPedido=DP.IdPedido
			inner join cortesias Cor ON Cor.IdPedido = P.IdPedido where Cor.IdPedido = :IdPedido");
			$stmt -> bindParam(":IdPedido", $datosModel, PDO::PARAM_STR);
			$stmt -> execute();
			return $stmt -> fetchAll();
			$stmt -> null;

		}
    
    //


    //23 by Rm
    public static function ReporteIngredientes($datosModel){
      $stmt = Conexion::conectar()->prepare("SELECT Ing.DescripcionIng, Ing.UnidadMedida, rel.CantidadU, 
                i.IdItems, i.Descripcion, rel.IdRelacion
                from  ingredientes Ing inner join relacioningitem rel ON Ing.IdIngredientes = rel.IdIngredientes  
                INNER join items i on i.IdItems=rel.IdItems   
                where rel.IdItems = :IdItems");
			$stmt -> bindParam(":IdItems", $datosModel, PDO::PARAM_STR);
			$stmt -> execute();
			return $stmt -> fetchAll();
			$stmt -> null;

		}

    public static function ReporteIngredientes2($datosModel){
      $stmt = Conexion::conectar()->prepare("SELECT Ing.Nombre as DescripcionIng, Ing.Unidad as UnidadMedida,UnidadParaBebidas, rel.CantidadU,  
                i.IdItems, i.Descripcion, rel.IdRelacion
                from  productos Ing inner join relacioningitem rel ON Ing.ID = rel.IdIngredientes  
                INNER join items i on i.IdItems=rel.IdItems   
                where rel.IdItems = :IdItems");
			$stmt -> bindParam(":IdItems", $datosModel, PDO::PARAM_STR);
			$stmt -> execute();
			return $stmt -> fetchAll();
			$stmt -> null;

		}


    //24 

    public static function ReporteItemsPorDia($x){
      $stmt = Conexion::conectar()->prepare("SELECT	SUM(DP.Cantidad) as Cantidad,	I.Descripcion,	I.PrecioVenta, 
                              (I.PrecioVenta*SUM(DP.Cantidad)) as Total 
                              from	items I inner join detallepedido DP on I.IdItems=DP.IdItems 
                              inner join pedido P on P.IdPedido=DP.IdPedido 
                              inner join categoria C ON C.IdCategoria = I.IdCategoria 
                              where (I.IdTipoItem = 2) AND CAST(P.FechaPedido AS DATE ) = :fecha
                              AND (C.FormaDePreparar = 'Cocina'  or C.FormaDePreparar = 'Bar')  
                              AND (DP.Actualizar = 0 or DP.Actualizar=1) 
                              group by I.Descripcion, I.PrecioVenta  order by (Cantidad) desc  LIMIT 10000");
      $stmt -> bindParam(":fecha", $x, PDO::PARAM_STR);
      $stmt -> execute();
      return $stmt -> fetchAll();
      $stmt -> null;
    }


    public static function ReporNomItem($x){
      $stmt = Conexion::conectar()->prepare("SELECT Descripcion FROM items where IdItems=:IdItems");
      $stmt -> bindParam(":IdItems", $x, PDO::PARAM_STR);
			$stmt -> execute();
			return $stmt -> fetch();
			$stmt -> null;
    }

    //26 solo pa ver los ingredientes()

      public static function ReporIng(){
        $stmt = Conexion::conectar()->prepare("SELECT * FROM ingredientes ORDER BY Cantidad");
        $stmt -> execute();
        return $stmt -> fetchAll();
        $stmt -> null;  
      }


         //27 by Rm 
    public static function ReporteEliminados ($Fecha1, $Fecha2){
      $stmt = Conexion::conectar()->prepare("SELECT p.IdPedido, pe.Nombres,i.Descripcion, dp.Cantidad, dp.Precio, dp.Cambios   
                                              FROM pedido p INNER JOIN detallepedido dp ON  dp.IdPedido = p.IdPedido
                                              INNER JOIN items i ON i.IdItems = dp.IdItems
                                              INNER JOIN personal pe ON pe.IdPersonal = p.IdPersonal
                                              WHERE CAST(p.FechaPedido AS DATE ) BETWEEN :fecha1 AND :fecha2
                                              AND dp.Estado = 'X'  ");
      $stmt -> bindParam(":fecha1", $Fecha1, PDO::PARAM_STR);
      $stmt -> bindParam(":fecha2", $Fecha2, PDO::PARAM_STR);
      $stmt -> execute();
      return $stmt -> fetchAll();
      $stmt -> null;
    }
}
