<?php

require_once "conexion.php";

class modelproductos{


    public static function registroProducto($datosModel) {
        $stmt = Conexion::conectar()->prepare("INSERT INTO Productos (Nombre, Descripcion, Unidad, UnidadParaBebidas, PorcionesPorUnidad, PrecioUnitario, EsBebida, FechaDeExpiracion) 
                                                VALUES (:nombre, :descripcion, :unidad, :unidadbebidas, :porciones, :precio, :esbebida, :fechaexpiracion)");
    
        $stmt->bindParam(":nombre", $datosModel["nombre"], PDO::PARAM_STR);
        $stmt->bindParam(":descripcion", $datosModel["descripcion"], PDO::PARAM_STR);
        $stmt->bindParam(":unidad", $datosModel["unidad"], PDO::PARAM_STR);
        $stmt->bindParam(":unidadbebidas", $datosModel["unidadbebidas"], PDO::PARAM_STR);
        $stmt->bindParam(":porciones", $datosModel["porciones"], PDO::PARAM_INT);
        $stmt->bindParam(":precio", $datosModel["precio"], PDO::PARAM_STR);
        $stmt->bindParam(":esbebida", $datosModel["esBebida"], PDO::PARAM_STR);
        $stmt->bindParam(":fechaexpiracion", $datosModel["fechaexpiracion"], PDO::PARAM_STR);
    
        if ($stmt->execute()) {
            return "success";
        } else {
            return "error";
        }
    
        $stmt->null;
    }
    

    public static function modificarProducto($datosModel) {
        $stmt = Conexion::conectar()->prepare("UPDATE Productos 
                                                SET Nombre = :nombre, 
                                                    Descripcion = :descripcion, 
                                                    Unidad = :unidad, 
                                                    UnidadParaBebidas = :unidadbebidas, 
                                                    PorcionesPorUnidad = :porciones, 
                                                    PrecioUnitario = :precio, 
                                                    EsBebida = :esbebida, 
                                                    FechaDeExpiracion = :fechaexpiracion 
                                                WHERE ID = :id");
    
        // Vinculando los parámetros
        $stmt->bindParam(":nombre", $datosModel["nombre"], PDO::PARAM_STR);
        $stmt->bindParam(":descripcion", $datosModel["descripcion"], PDO::PARAM_STR);
        $stmt->bindParam(":unidad", $datosModel["unidad"], PDO::PARAM_STR);
        $stmt->bindParam(":unidadbebidas", $datosModel["unidadbebidas"], PDO::PARAM_STR);
        $stmt->bindParam(":porciones", $datosModel["porciones"], PDO::PARAM_INT);
        $stmt->bindParam(":precio", $datosModel["precio"], PDO::PARAM_STR);
        $stmt->bindParam(":esbebida", $datosModel["esBebida"], PDO::PARAM_STR);
        $stmt->bindParam(":fechaexpiracion", $datosModel["fechaexpiracion"], PDO::PARAM_STR);
        $stmt->bindParam(":id", $datosModel["Id"], PDO::PARAM_INT); // El ID es necesario para identificar el producto a modificar
    
        // Ejecutando la consulta
        if ($stmt->execute()) {
            return "success";
        } else {
            return "error";
        }
    
        // Liberando la memoria del statement
        $stmt->null;
    }



    public static function eliminarProducto($id) {
    // Verificar si el producto existe
    $stmt = Conexion::conectar()->prepare("SELECT ID FROM Productos WHERE ID = :id");
    $stmt->bindParam(":id", $id, PDO::PARAM_INT);
    $stmt->execute();

    // Si no existe el producto
    if ($stmt->rowCount() == 0) {
        return "Producto no encontrado";
    }

    // Si el producto existe, proceder a eliminar
    $stmt = Conexion::conectar()->prepare("DELETE FROM Productos WHERE ID = :id");
    $stmt->bindParam(":id", $id, PDO::PARAM_INT);

    if ($stmt->execute()) {
        return "success";
    } else {
        return "error";
    }
}

public static function vistaProductos(){
    $stmt = Conexion::conectar()->prepare("SELECT * FROM Productos");
    $stmt->execute();
    return $stmt->fetchAll();
    $stmt->close();
}





}